<?xml version="1.0"?>
<doc>
    <assembly>
        <name>CyberaniumApi</name>
    </assembly>
    <members>
        <member name="T:CyberaniumApi.Controllers.ArtefactController">
            <summary>
            Defines the <see cref="T:CyberaniumApi.Controllers.ArtefactController" />.
            </summary>
        </member>
        <member name="F:CyberaniumApi.Controllers.ArtefactController._dapper">
            <summary>
            Defines the _dapper.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.ArtefactController.#ctor(CyberaniumApi.IServices.IDapper)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Controllers.ArtefactController"/> class.
            </summary>
            <param name="dapper">The dapper<see cref="T:CyberaniumApi.IServices.IDapper"/>.</param>
        </member>
        <member name="T:CyberaniumApi.Controllers.AssesmentController">
            <summary>
            Defines the <see cref="T:CyberaniumApi.Controllers.AssesmentController" />.
            </summary>
        </member>
        <member name="F:CyberaniumApi.Controllers.AssesmentController._dapper">
            <summary>
            Defines the _dapper.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.AssesmentController.#ctor(CyberaniumApi.IServices.IDapper)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Controllers.AssesmentController"/> class.
            </summary>
            <param name="dapper">The dapper<see cref="T:CyberaniumApi.IServices.IDapper"/>.</param>
        </member>
        <member name="T:CyberaniumApi.Controllers.ComplianceController">
            <summary>
            Defines the <see cref="T:CyberaniumApi.Controllers.ComplianceController" />.
            </summary>
        </member>
        <member name="F:CyberaniumApi.Controllers.ComplianceController._dapper">
            <summary>
            Defines the _dapper.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.ComplianceController.#ctor(CyberaniumApi.IServices.IDapper)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Controllers.ComplianceController"/> class.
            </summary>
            <param name="dapper">The dapper<see cref="T:CyberaniumApi.IServices.IDapper"/>.</param>
        </member>
        <member name="T:CyberaniumApi.Controllers.CountryController">
            <summary>
            Defines the <see cref="T:CyberaniumApi.Controllers.CountryController" />.
            </summary>
        </member>
        <member name="F:CyberaniumApi.Controllers.CountryController._dapper">
            <summary>
            Defines the _dapper.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.CountryController.#ctor(CyberaniumApi.IServices.IDapper)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Controllers.CountryController"/> class.
            </summary>
            <param name="dapper">The dapper<see cref="T:CyberaniumApi.IServices.IDapper"/>.</param>
        </member>
        <member name="M:CyberaniumApi.Controllers.CountryController.GetAllCountry">
            <summary>
            The GetAllCountry.
            </summary>
        </member>
        <member name="T:CyberaniumApi.Controllers.DomainController">
            <summary>
            Defines the <see cref="T:CyberaniumApi.Controllers.DomainController" />.
            </summary>
        </member>
        <member name="F:CyberaniumApi.Controllers.DomainController._dapper">
            <summary>
            Defines the _dapper.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.DomainController.#ctor(CyberaniumApi.IServices.IDapper)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Controllers.DomainController"/> class.
            </summary>
            <param name="dapper">The dapper<see cref="T:CyberaniumApi.IServices.IDapper"/>.</param>
        </member>
        <member name="M:CyberaniumApi.Controllers.DomainController.CreateDomain(CyberaniumModels.Domain)">
            <summary>
            The CreateDomain.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.DomainController.GetAllDomain">
            <summary>
            The GetAllDomain.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.DomainController.BlockDeleteDomain(CyberaniumModels.Domain)">
            <summary>
            The BlockDeleteDomain.
            </summary>
            <param name="domain">The domain<see cref="T:CyberaniumModels.Domain"/>.</param>
        </member>
        <member name="T:CyberaniumApi.Controllers.DomainThreatMappingController">
            <summary>
            Defines the <see cref="T:CyberaniumApi.Controllers.DomainThreatMappingController" />.
            </summary>
        </member>
        <member name="F:CyberaniumApi.Controllers.DomainThreatMappingController._dapper">
            <summary>
            Defines the _dapper.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.DomainThreatMappingController.#ctor(CyberaniumApi.IServices.IDapper)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Controllers.DomainThreatMappingController"/> class.
            </summary>
            <param name="dapper">The dapper<see cref="T:CyberaniumApi.IServices.IDapper"/>.</param>
        </member>
        <member name="M:CyberaniumApi.Controllers.DomainThreatMappingController.GetDomainThreatMapping">
            <summary>
            The GetAllDomainThreatMapping.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.DomainThreatMappingController.SubmitDomainThreatMapping(CyberaniumModels.DomainThreatMapping)">
            <summary>
            The SaveDomainThreatMapping.
            </summary>
            <param name="DomainThreatMapping">The DomainThreatMapping<see cref="T:CyberaniumModels.DomainThreatMapping"/>.</param>
            <returns>The <see cref="T:System.Threading.Tasks.Task`1"/>.</returns>
        </member>
        <member name="T:CyberaniumApi.Controllers.EnumController">
            <summary>
            Defines the <see cref="T:CyberaniumApi.Controllers.EnumController" />.
            </summary>
        </member>
        <member name="F:CyberaniumApi.Controllers.EnumController._dapper">
            <summary>
            Defines the _dapper.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.EnumController.#ctor(CyberaniumApi.IServices.IDapper)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Controllers.EnumController"/> class.
            </summary>
            <param name="dapper">The dapper<see cref="T:CyberaniumApi.IServices.IDapper"/>.</param>
        </member>
        <member name="M:CyberaniumApi.Controllers.EnumController.GetAllEnum">
            <summary>
            The GetAllEnum.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.EnumController.SaveEnum(CyberaniumModels.Enum)">
            <summary>
            The SaveEnum.
            </summary>
            <param name="Enum">The Enum<see cref="T:CyberaniumModels.Enum"/>.</param>
            <returns>The <see cref="T:System.Threading.Tasks.Task`1"/>.</returns>
        </member>
        <member name="M:CyberaniumApi.Controllers.EnumController.UpdateEnum(CyberaniumModels.Enum)">
            <summary>
            The UpdateEnum.
            </summary>
            <param name="Enum">The Enum<see cref="T:CyberaniumModels.Enum"/>.</param>
            <returns>The <see cref="T:System.Threading.Tasks.Task`1"/>.</returns>
        </member>
        <member name="M:CyberaniumApi.Controllers.EnumController.BlockDeleteEnum(CyberaniumModels.Enum)">
            <summary>
            The BlockDeleteEnum.
            </summary>
        </member>
        <member name="T:CyberaniumApi.Controllers.EnumTypeController">
            <summary>
            Defines the <see cref="T:CyberaniumApi.Controllers.EnumTypeController" />.
            </summary>
        </member>
        <member name="F:CyberaniumApi.Controllers.EnumTypeController._dapper">
            <summary>
            Defines the _dapper.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.EnumTypeController.#ctor(CyberaniumApi.IServices.IDapper)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Controllers.EnumTypeController"/> class.
            </summary>
            <param name="dapper">The dapper<see cref="T:CyberaniumApi.IServices.IDapper"/>.</param>
        </member>
        <!-- Badly formed XML comment ignored for member "M:CyberaniumApi.Controllers.EnumTypeController.GetAllEnumType" -->
        <member name="M:CyberaniumApi.Controllers.EnumTypeController.SaveEnumType(CyberaniumModels.EnumType)">
            <summary>
            The SaveEnumType.
            </summary>
            <param name="EnumType">The EnumType<see cref="T:CyberaniumModels.EnumType"/>.</param>
            <returns>The <see cref="T:System.Threading.Tasks.Task`1"/>.</returns>
        </member>
        <member name="M:CyberaniumApi.Controllers.EnumTypeController.UpdateEnumType(CyberaniumModels.EnumType)">
            <summary>
            The UpdateEnumType.
            </summary>
            <param name="EnumType">The EnumType<see cref="T:CyberaniumModels.EnumType"/>.</param>
            <returns>The <see cref="T:System.Threading.Tasks.Task`1"/>.</returns>
        </member>
        <member name="M:CyberaniumApi.Controllers.EnumTypeController.BlockDeleteEnumType(CyberaniumModels.EnumType)">
            <summary>
            The BlockDeleteEnumType.
            </summary>
        </member>
        <member name="T:CyberaniumApi.Controllers.HomeController">
            <summary>
            Defines the <see cref="T:CyberaniumApi.Controllers.HomeController" />.
            </summary>
        </member>
        <member name="F:CyberaniumApi.Controllers.HomeController._dapper">
            <summary>
            Defines the _dapper.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.HomeController.#ctor(CyberaniumApi.IServices.IDapper)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Controllers.HomeController"/> class.
            </summary>
            <param name="dapper">The dapper<see cref="T:CyberaniumApi.IServices.IDapper"/>.</param>
        </member>
        <member name="M:CyberaniumApi.Controllers.HomeController.Create(CyberaniumModels.UserLogin)">
            <summary>
            The Create.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.HomeController.GetById(System.Int32)">
            <summary>
            The GetById.
            </summary>
            <param name="Id">The Id<see cref="T:System.Int32"/>.</param>
            <returns>The <see cref="T:System.Threading.Tasks.Task`1"/>.</returns>
        </member>
        <member name="M:CyberaniumApi.Controllers.HomeController.GetByIds(CyberaniumModels.UserLogin)">
            <summary>
            The GetByIds.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.HomeController.Delete(System.Int32)">
            <summary>
            The Delete.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.HomeController.Count(System.Int32)">
            <summary>
            The Count.
            </summary>
        </member>
        <member name="T:CyberaniumApi.Controllers.ICDController">
            <summary>
            Defines the <see cref="T:CyberaniumApi.Controllers.ICDController" />.
            </summary>
        </member>
        <member name="F:CyberaniumApi.Controllers.ICDController._dapper">
            <summary>
            Defines the _dapper.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.ICDController.#ctor(CyberaniumApi.IServices.IDapper)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Controllers.ICDController"/> class.
            </summary>
            <param name="dapper">The dapper<see cref="T:CyberaniumApi.IServices.IDapper"/>.</param>
        </member>
        <member name="T:CyberaniumApi.Controllers.InternationalStandardController">
            <summary>
            Defines the <see cref="T:CyberaniumApi.Controllers.InternationalStandardController" />.
            </summary>
        </member>
        <member name="F:CyberaniumApi.Controllers.InternationalStandardController._dapper">
            <summary>
            Defines the _dapper.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.InternationalStandardController.#ctor(CyberaniumApi.IServices.IDapper)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Controllers.InternationalStandardController"/> class.
            </summary>
            <param name="dapper">The dapper<see cref="T:CyberaniumApi.IServices.IDapper"/>.</param>
        </member>
        <member name="M:CyberaniumApi.Controllers.InternationalStandardController.SaveInternationalStandard(CyberaniumModels.InternationalStandard)">
            <summary>
            The SaveInternationalStandard.
            </summary>
            <param name="InternationalStandard">The InternationalStandard<see cref="T:CyberaniumModels.InternationalStandard"/>.</param>
            <returns>The <see cref="T:System.Threading.Tasks.Task`1"/>.</returns>
        </member>
        <member name="M:CyberaniumApi.Controllers.InternationalStandardController.UpdateInternationalStandard(CyberaniumModels.InternationalStandard)">
            <summary>
            The UpdateInternationalStandard.
            </summary>
            <param name="InternationalStandard">The InternationalStandard<see cref="T:CyberaniumModels.InternationalStandard"/>.</param>
            <returns>The <see cref="T:System.Threading.Tasks.Task`1"/>.</returns>
        </member>
        <member name="T:CyberaniumApi.Controllers.LoginController">
            <summary>
            Defines the <see cref="T:CyberaniumApi.Controllers.LoginController" />.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.LoginController.GetById(System.Int32)">
            <summary>
            The GetById.
            </summary>
            <param name="Id">The Id<see cref="T:System.Int32"/>.</param>GetAllUsers
            <returns>The <see cref="T:System.Threading.Tasks.Task`1"/>.</returns>
        </member>
        <member name="T:CyberaniumApi.Controllers.MenuController">
            <summary>
            Defines the <see cref="T:CyberaniumApi.Controllers.MenuController" />.
            </summary>
        </member>
        <member name="F:CyberaniumApi.Controllers.MenuController._dapper">
            <summary>
            Defines the _dapper.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.MenuController.#ctor(CyberaniumApi.IServices.IDapper)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Controllers.MenuController"/> class.
            </summary>
            <param name="dapper">The dapper<see cref="T:CyberaniumApi.IServices.IDapper"/>.</param>
        </member>
        <member name="T:CyberaniumApi.Controllers.ProcessEnablerController">
            <summary>
            Defines the <see cref="T:CyberaniumApi.Controllers.AssesmentController" />.
            </summary>
        </member>
        <member name="F:CyberaniumApi.Controllers.ProcessEnablerController._dapper">
            <summary>
            Defines the _dapper.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.ProcessEnablerController.#ctor(CyberaniumApi.IServices.IDapper)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Controllers.AssesmentController"/> class.
            </summary>
            <param name="dapper">The dapper<see cref="T:CyberaniumApi.IServices.IDapper"/>.</param>
        </member>
        <member name="F:CyberaniumApi.Controllers.RBACController._dapper">
            <summary>
            Defines the _dapper.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.RBACController.#ctor(CyberaniumApi.IServices.IDapper)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Controllers.RBACController"/> class.
            </summary>
            <param name="dapper">The dapper<see cref="T:CyberaniumApi.IServices.IDapper"/>.</param>
        </member>
        <member name="T:CyberaniumApi.Controllers.REGOController">
            <summary>
            Defines the <see cref="T:CyberaniumApi.Controllers.REGOController" />.
            </summary>
        </member>
        <member name="F:CyberaniumApi.Controllers.REGOController._dapper">
            <summary>
            Defines the _dapper.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.REGOController.#ctor(CyberaniumApi.IServices.IDapper)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Controllers.REGOController"/> class.
            </summary>
            <param name="dapper">The dapper<see cref="T:CyberaniumApi.IServices.IDapper"/>.</param>
        </member>
        <member name="M:CyberaniumApi.Controllers.REGOController.SaveupdateREGO(CyberaniumModels.RegoMaster)">
            <summary>
            The SaveupdateREGO.
            </summary>
            <param name="LawRegulation">The LawRegulation<see cref="T:CyberaniumModels.RegoMaster"/>.</param>
            <returns>The <see cref="T:System.Threading.Tasks.Task`1"/>.</returns>
        </member>
        <member name="T:CyberaniumApi.Controllers.RegulationController">
            <summary>
            Defines the <see cref="T:CyberaniumApi.Controllers.RegulationController" />.
            </summary>
        </member>
        <member name="F:CyberaniumApi.Controllers.RegulationController._dapper">
            <summary>
            Defines the _dapper.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.RegulationController.#ctor(CyberaniumApi.IServices.IDapper)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Controllers.RegulationController"/> class.
            </summary>
            <param name="dapper">The dapper<see cref="T:CyberaniumApi.IServices.IDapper"/>.</param>
        </member>
        <member name="M:CyberaniumApi.Controllers.RegulationController.SaveupdateLawRegulation(CyberaniumModels.LawRegulation)">
            <summary>
            The SaveLawRegulation.
            </summary>
            <param name="LawRegulation">The LawRegulation<see cref="T:CyberaniumModels.LawRegulation"/>.</param>
            <returns>The <see cref="T:System.Threading.Tasks.Task`1"/>.</returns>
        </member>
        <member name="T:CyberaniumApi.Controllers.RoleController">
            <summary>
            Defines the <see cref="T:CyberaniumApi.Controllers.CountryController" />.
            </summary>
        </member>
        <member name="F:CyberaniumApi.Controllers.RoleController._dapper">
            <summary>
            Defines the _dapper.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.RoleController.#ctor(CyberaniumApi.IServices.IDapper)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Controllers.RoleController"/> class.
            </summary>
            <param name="dapper">The dapper<see cref="T:CyberaniumApi.IServices.IDapper"/>.</param>
        </member>
        <member name="M:CyberaniumApi.Controllers.RoleController.GetAllRoleRecords">
            <summary>
            The GetAllRole.
            </summary>
        </member>
        <member name="T:CyberaniumApi.Controllers.RoleMenuAccessController">
            <summary>
            Defines the <see cref="T:CyberaniumApi.Controllers.RoleMenuAccessController" />.
            </summary>
        </member>
        <member name="F:CyberaniumApi.Controllers.RoleMenuAccessController._dapper">
            <summary>
            Defines the _dapper.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.RoleMenuAccessController.#ctor(CyberaniumApi.IServices.IDapper)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Controllers.RoleMenuAccessController"/> class.
            </summary>
            <param name="dapper">The dapper<see cref="T:CyberaniumApi.IServices.IDapper"/>.</param>
        </member>
        <member name="T:CyberaniumApi.Controllers.ThreatController">
            <summary>
            Defines the <see cref="T:CyberaniumApi.Controllers.ThreatController" />.
            </summary>
        </member>
        <member name="F:CyberaniumApi.Controllers.ThreatController._dapper">
            <summary>
            Defines the _dapper.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.ThreatController.#ctor(CyberaniumApi.IServices.IDapper)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Controllers.ThreatController"/> class.
            </summary>
            <param name="dapper">The dapper<see cref="T:CyberaniumApi.IServices.IDapper"/>.</param>
        </member>
        <member name="M:CyberaniumApi.Controllers.ThreatController.SaveupdateThreat(CyberaniumModels.Threat)">
            <summary>
            The SaveThreat.
            </summary>
            <param name="Threat">The Threat<see cref="T:CyberaniumModels.Threat"/>.</param>
            <returns>The <see cref="T:System.Threading.Tasks.Task`1"/>.</returns>
        </member>
        <member name="M:CyberaniumApi.Controllers.ThreatController.UpdateThreat(CyberaniumModels.Threat)">
            <summary>
            The UpdateThreat.
            </summary>
            <param name="Threat">The Threat<see cref="T:CyberaniumModels.Threat"/>.</param>
            <returns>The <see cref="T:System.Threading.Tasks.Task`1"/>.</returns>
        </member>
        <member name="T:CyberaniumApi.Controllers.ThreatEnablerController">
            <summary>
            Defines the <see cref="T:CyberaniumApi.Controllers.ThreatEnablerController" />.
            </summary>
        </member>
        <member name="F:CyberaniumApi.Controllers.ThreatEnablerController._dapper">
            <summary>
            Defines the _dapper.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.ThreatEnablerController.#ctor(CyberaniumApi.IServices.IDapper)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Controllers.ThreatEnablerController"/> class.
            </summary>
            <param name="dapper">The dapper<see cref="T:CyberaniumApi.IServices.IDapper"/>.</param>
        </member>
        <member name="M:CyberaniumApi.Controllers.ThreatEnablerController.GetAllThreats">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Controllers.ThreatEnablerController"/> class.
            </summary>
            <param name="dapper">The dapper<see cref="T:CyberaniumApi.IServices.IDapper"/>.</param>
        </member>
        <member name="T:CyberaniumApi.Controllers.ThreatTypeController">
            <summary>
            Defines the <see cref="T:CyberaniumApi.Controllers.ThreatTypeController" />.
            </summary>
        </member>
        <member name="F:CyberaniumApi.Controllers.ThreatTypeController._dapper">
            <summary>
            Defines the _dapper.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Controllers.ThreatTypeController.#ctor(CyberaniumApi.IServices.IDapper)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Controllers.ThreatTypeController"/> class.
            </summary>
            <param name="dapper">The dapper<see cref="T:CyberaniumApi.IServices.IDapper"/>.</param>
        </member>
        <member name="M:CyberaniumApi.Controllers.ThreatTypeController.SaveThreatType(CyberaniumModels.ThreatType)">
            <summary>
            The SaveThreatType.
            </summary>
            <param name="threatType">The threatType<see cref="T:CyberaniumModels.ThreatType"/>.</param>
            <returns>The <see cref="T:System.Threading.Tasks.Task`1"/>.</returns>
        </member>
        <member name="M:CyberaniumApi.Controllers.ThreatTypeController.BlockDeleteThreatType(CyberaniumModels.ThreatType)">
            <summary>
            The UpdateThreatType.
            </summary>
            <param name="threatType">The threatType<see cref="T:CyberaniumModels.ThreatType"/>.</param>
            <returns>The <see cref="T:System.Threading.Tasks.Task`1"/>.</returns>
        </member>
        <member name="T:CyberaniumApi.Helpers.AppSettings">
            <summary>
            Class used to map strongly typed settings objects.
            </summary>
        </member>
        <member name="P:CyberaniumApi.Helpers.AppSettings.Secret">
            <summary>
            Gets or sets the secret used for encryption. Can be any text that is at least 16 characters long.
            </summary>
            <value>
            The secret used for encryption.
            </value>
        </member>
        <member name="P:CyberaniumApi.Helpers.AppSettings.SendGridApiKey">
            <summary>
            Gets or sets the SendGrid API key.
            </summary>
            <value>
            The SendGrid API key.
            </value>
        </member>
        <member name="P:CyberaniumApi.Helpers.AppSettings.Name">
            <summary>
            Gets or sets the name of the WebAPI.
            </summary>
            <value>
            The name of the WebAPI.
            </value>
        </member>
        <member name="P:CyberaniumApi.Helpers.AppSettings.Email">
            <summary>
            Gets or sets the email address that will be used to send emails.
            </summary>
            <value>
            The email address that will be used to send emails.
            </value>
        </member>
        <member name="P:CyberaniumApi.Helpers.AppSettings.EmailName">
            <summary>
            Gets or sets the name of the email sender.
            </summary>
            <value>
            The name of the email sender.
            </value>
        </member>
        <member name="P:CyberaniumApi.Helpers.AppSettings.MaxLoginFailedCount">
            <summary>
            Gets or sets the maximum count of the failed login attempts.
            </summary>
            <value>
            The maximum count of the failed login attempts.
            </value>
        </member>
        <member name="P:CyberaniumApi.Helpers.AppSettings.LoginFailedWaitingTime">
            <summary>
            Gets or sets the time (in seconds) that the user has to wait if they exceeded the maximum count of
            the failed login attempts.
            </summary>
            <value>
            The login failed waiting time (in seconds) that the user has to wait if they exceeded the maximum count of
            the failed login attempts.
            </value>
        </member>
        <member name="P:CyberaniumApi.Helpers.AppSettings.MaxUnconfirmedEmailCount">
            <summary>
            Gets or sets the maximum count of the unconfirmed email addresses.
            </summary>
            <value>
            The maximum count of the unconfirmed email addresses.
            </value>
        </member>
        <member name="P:CyberaniumApi.Helpers.AppSettings.UnconfirmedEmailWaitingTime">
            <summary>
            Gets or sets the time (in seconds) that the user has to wait if they exceeded the maximum count of
            the unconfirmed email addresses, before they try to change their email address again.
            </summary>
            <value>
            The time (in seconds) that the user has to wait if they exceeded the maximum count of
            the unconfirmed email addresses, before they try to change their email address again.
            </value>
        </member>
        <member name="P:CyberaniumApi.Helpers.AppSettings.ConfirmEmailUrl">
            <summary>
            Gets or sets the URL that will be used to confirm email address.
            </summary>
            <value>
            The URL that will be used to confirm email address.
            </value>
        </member>
        <member name="P:CyberaniumApi.Helpers.AppSettings.MaxResetPasswordCount">
            <summary>
            Gets or sets the maximum count of the failed reset password attempts.
            </summary>
            <value>
            The maximum count of the failed reset password attempts.
            </value>
        </member>
        <member name="P:CyberaniumApi.Helpers.AppSettings.ResetPasswordWaitingTime">
            <summary>
            Gets or sets the time (in seconds) that the user has to wait if they exceeded the maximum count of
            the failed reset password attempts.
            </summary>
            <value>
            The time (in seconds) that the user has to wait if they exceeded the maximum count of
            the failed reset password attempts.
            </value>
        </member>
        <member name="P:CyberaniumApi.Helpers.AppSettings.ResetPasswordValidTime">
            <summary>
            Gets or sets the validity time for the reset password request (in seconds).
            </summary>
            <value>
            The validity time for the reset password request (in seconds).
            </value>
        </member>
        <member name="P:CyberaniumApi.Helpers.AppSettings.ResetPasswordUrl">
            <summary>
            Gets or sets the URL that will be used to confirm password reset.
            </summary>
            <value>
            The URL that will be used to confirm password reset.
            </value>
        </member>
        <member name="P:CyberaniumApi.Helpers.AppSettings.AdminUsername">
            <summary>
            Gets or sets the administrator username.
            </summary>
            <value>
            The administrator username.
            </value>
        </member>
        <member name="P:CyberaniumApi.Helpers.AppSettings.AdminEmail">
            <summary>
            Gets or sets the administrator email.
            </summary>
            <value>
            The administrator email.
            </value>
        </member>
        <member name="P:CyberaniumApi.Helpers.AppSettings.AdminPassword">
            <summary>
            Gets or sets the administrator password.
            </summary>
            <value>
            The administrator password.
            </value>
        </member>
        <member name="T:CyberaniumApi.Helpers.IAuthHelper">
            <summary>
            The authentication helper interface.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Helpers.IAuthHelper.GetUserId(Microsoft.AspNetCore.Mvc.ControllerBase)">
            <summary>
            Gets the identifier of the user that made current request.
            It will use the first "Name" claim as identifier and cast it to GUID.
            </summary>
            <param name="controller">The controller.</param>
            <returns>The identifier of the user that made current request.</returns>
        </member>
        <member name="T:CyberaniumApi.Helpers.AuthHelper">
            <inheritdoc />
        </member>
        <member name="M:CyberaniumApi.Helpers.AuthHelper.GetUserId(Microsoft.AspNetCore.Mvc.ControllerBase)">
            <inheritdoc />
        </member>
        <member name="T:CyberaniumApi.Helpers.Exceptions.AppException">
            <summary>
            Custom exception class for throwing application specific exceptions (e.g. for validation)
            that can be caught and handled within the application.
            </summary>
            <seealso cref="T:System.Exception" />
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.AppException.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.AppException"/> class.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.AppException.#ctor(System.String)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.AppException"/> class.
            </summary>
            <param name="message">The message that describes the error.</param>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.AppException.#ctor(System.String,System.Object[])">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.AppException"/> class.
            </summary>
            <param name="message">The message.</param>
            <param name="args">The arguments.</param>
        </member>
        <member name="T:CyberaniumApi.Helpers.Exceptions.EmailNotSentException">
            <summary>
            Exception that should be thrown when the email is not sent successfully.
            </summary>
            <seealso cref="!:WebApi.Helpers.Exceptions.AppException" />
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.EmailNotSentException.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.EmailNotSentException"/> class.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.EmailNotSentException.#ctor(System.String)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.EmailNotSentException"/> class.
            </summary>
            <param name="message">The message that describes the error.</param>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.EmailNotSentException.#ctor(System.String,System.Object[])">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.EmailNotSentException"/> class.
            </summary>
            <param name="message">The message.</param>
            <param name="args">The arguments.</param>
        </member>
        <member name="T:CyberaniumApi.Helpers.Exceptions.EmailTakenException">
            <summary>
            Exception that should be thrown when the email is already taken.
            </summary>
            <seealso cref="!:WebApi.Helpers.Exceptions.AppException" />
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.EmailTakenException.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.EmailTakenException"/> class.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.EmailTakenException.#ctor(System.String)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.EmailTakenException"/> class.
            </summary>
            <param name="message">The message that describes the error.</param>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.EmailTakenException.#ctor(System.String,System.Object[])">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.EmailTakenException"/> class.
            </summary>
            <param name="message">The message.</param>
            <param name="args">The arguments.</param>
        </member>
        <member name="T:CyberaniumApi.Helpers.Exceptions.EntityNotFoundException">
            <summary>
            Exception that should be thrown when the requested entity is not found.
            </summary>
            <seealso cref="!:WebApi.Helpers.Exceptions.AppException" />
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.EntityNotFoundException.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.EntityNotFoundException"/> class.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.EntityNotFoundException.#ctor(System.String)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.EntityNotFoundException"/> class.
            </summary>
            <param name="message">The message that describes the error.</param>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.EntityNotFoundException.#ctor(System.String,System.Object[])">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.EntityNotFoundException"/> class.
            </summary>
            <param name="message">The message.</param>
            <param name="args">The arguments.</param>
        </member>
        <member name="T:CyberaniumApi.Helpers.Exceptions.ForbiddenException">
            <summary>
            Exception that should be thrown when the action is forbidden due to the missing permissions.
            </summary>
            <seealso cref="!:WebApi.Helpers.Exceptions.AppException" />
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.ForbiddenException.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.ForbiddenException"/> class.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.ForbiddenException.#ctor(System.String)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.ForbiddenException"/> class.
            </summary>
            <param name="message">The message that describes the error.</param>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.ForbiddenException.#ctor(System.String,System.Object[])">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.ForbiddenException"/> class.
            </summary>
            <param name="message">The message.</param>
            <param name="args">The arguments.</param>
        </member>
        <member name="T:CyberaniumApi.Helpers.Exceptions.IncorrectPasswordException">
            <summary>
            Exception that should be thrown when the password is incorrect.
            </summary>
            <seealso cref="!:WebApi.Helpers.Exceptions.AppException" />
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.IncorrectPasswordException.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.IncorrectPasswordException"/> class.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.IncorrectPasswordException.#ctor(System.String)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.IncorrectPasswordException"/> class.
            </summary>
            <param name="message">The message that describes the error.</param>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.IncorrectPasswordException.#ctor(System.String,System.Object[])">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.IncorrectPasswordException"/> class.
            </summary>
            <param name="message">The message.</param>
            <param name="args">The arguments.</param>
        </member>
        <member name="T:CyberaniumApi.Helpers.Exceptions.InvalidPasswordException">
            <summary>
            Exception that should be thrown when password has invalid format.
            </summary>
            <seealso cref="!:WebApi.Helpers.Exceptions.AppException" />
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.InvalidPasswordException.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.InvalidPasswordException"/> class.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.InvalidPasswordException.#ctor(System.String)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.InvalidPasswordException"/> class.
            </summary>
            <param name="message">The message that describes the error.</param>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.InvalidPasswordException.#ctor(System.String,System.Object[])">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.InvalidPasswordException"/> class.
            </summary>
            <param name="message">The message.</param>
            <param name="args">The arguments.</param>
        </member>
        <member name="T:CyberaniumApi.Helpers.Exceptions.InvalidUsernameOrPasswordException">
            <summary>
            Exception that should be thrown when username or password are invalid.
            </summary>
            <seealso cref="!:WebApi.Helpers.Exceptions.AppException" />
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.InvalidUsernameOrPasswordException.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.InvalidUsernameOrPasswordException"/> class.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.InvalidUsernameOrPasswordException.#ctor(System.String)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.InvalidUsernameOrPasswordException"/> class.
            </summary>
            <param name="message">The message that describes the error.</param>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.InvalidUsernameOrPasswordException.#ctor(System.String,System.Object[])">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.InvalidUsernameOrPasswordException"/> class.
            </summary>
            <param name="message">The message.</param>
            <param name="args">The arguments.</param>
        </member>
        <member name="T:CyberaniumApi.Helpers.Exceptions.TooManyChangeEmailAttemptsException">
            <summary>
            Exception that should be thrown when there were too many failed attempts to change email address.
            </summary>
            <seealso cref="!:WebApi.Helpers.Exceptions.AppException" />
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.TooManyChangeEmailAttemptsException.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.TooManyChangeEmailAttemptsException"/> class.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.TooManyChangeEmailAttemptsException.#ctor(System.String)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.TooManyChangeEmailAttemptsException"/> class.
            </summary>
            <param name="message">The message that describes the error.</param>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.TooManyChangeEmailAttemptsException.#ctor(System.String,System.Object[])">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.TooManyChangeEmailAttemptsException"/> class.
            </summary>
            <param name="message">The message.</param>
            <param name="args">The arguments.</param>
        </member>
        <member name="T:CyberaniumApi.Helpers.Exceptions.TooManyFailedLoginAttemptsException">
            <summary>
            Exception that should be thrown when there were too many failed login attempts.
            </summary>
            <seealso cref="!:WebApi.Helpers.Exceptions.AppException" />
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.TooManyFailedLoginAttemptsException.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.TooManyFailedLoginAttemptsException"/> class.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.TooManyFailedLoginAttemptsException.#ctor(System.String)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.TooManyFailedLoginAttemptsException"/> class.
            </summary>
            <param name="message">The message that describes the error.</param>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.TooManyFailedLoginAttemptsException.#ctor(System.String,System.Object[])">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.TooManyFailedLoginAttemptsException"/> class.
            </summary>
            <param name="message">The message.</param>
            <param name="args">The arguments.</param>
        </member>
        <member name="T:CyberaniumApi.Helpers.Exceptions.TooManyResetPasswordAttemptsException">
            <summary>
            Exception that should be thrown when there were too many failed attempts to reset password.
            </summary>
            <seealso cref="!:WebApi.Helpers.Exceptions.AppException" />
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.TooManyResetPasswordAttemptsException.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.TooManyResetPasswordAttemptsException"/> class.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.TooManyResetPasswordAttemptsException.#ctor(System.String)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.TooManyResetPasswordAttemptsException"/> class.
            </summary>
            <param name="message">The message that describes the error.</param>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.TooManyResetPasswordAttemptsException.#ctor(System.String,System.Object[])">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.TooManyResetPasswordAttemptsException"/> class.
            </summary>
            <param name="message">The message.</param>
            <param name="args">The arguments.</param>
        </member>
        <member name="T:CyberaniumApi.Helpers.Exceptions.UnauthorizedException">
            <summary>
            Exception that should be thrown when user is unauthorized.
            </summary>
            <seealso cref="!:WebApi.Helpers.Exceptions.AppException" />
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.UnauthorizedException.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.UnauthorizedException"/> class.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.UnauthorizedException.#ctor(System.String)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.UnauthorizedException"/> class.
            </summary>
            <param name="message">The message that describes the error.</param>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.UnauthorizedException.#ctor(System.String,System.Object[])">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.UnauthorizedException"/> class.
            </summary>
            <param name="message">The message.</param>
            <param name="args">The arguments.</param>
        </member>
        <member name="T:CyberaniumApi.Helpers.Exceptions.UsernameTakenException">
            <summary>
            Exception that should be thrown when the username is already taken.
            </summary>
            <seealso cref="!:WebApi.Helpers.Exceptions.AppException" />
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.UsernameTakenException.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.UsernameTakenException"/> class.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.UsernameTakenException.#ctor(System.String)">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.UsernameTakenException"/> class.
            </summary>
            <param name="message">The message that describes the error.</param>
        </member>
        <member name="M:CyberaniumApi.Helpers.Exceptions.UsernameTakenException.#ctor(System.String,System.Object[])">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.Exceptions.UsernameTakenException"/> class.
            </summary>
            <param name="message">The message.</param>
            <param name="args">The arguments.</param>
        </member>
        <member name="T:CyberaniumApi.Helpers.Pagination.Extensions">
            <summary>
            Extensions for <c>IQueryable</c> to support pagination. 
            </summary>
        </member>
        <member name="M:CyberaniumApi.Helpers.Pagination.Extensions.GetPagedAsync``1(System.Linq.IQueryable{``0},CyberaniumApi.Helpers.Pagination.PaginationFilter)">
            <summary>
            Extension method that returns paginated query result.
            Query result is added into <c>Data</c> property of <c>PagedResult</c>.
            </summary>
            <param name="query">The query to paginate.</param>
            <param name="pf">The pagination filter containing page size and page number.</param>
            <typeparam name="T">Must be a class.</typeparam>
            <returns>The paged result.</returns>
        </member>
        <member name="T:CyberaniumApi.Helpers.Pagination.PagedResult`1">
            <summary>
            Class used to store paginated data and additional information about pages.
            </summary>
            <typeparam name="T">Must be a class.</typeparam>
        </member>
        <member name="P:CyberaniumApi.Helpers.Pagination.PagedResult`1.CurrentPage">
            <summary>
            Gets or sets the current page.
            </summary>
        </member>
        <member name="P:CyberaniumApi.Helpers.Pagination.PagedResult`1.PageCount">
            <summary>
            Gets or sets page count.
            </summary>
        </member>
        <member name="P:CyberaniumApi.Helpers.Pagination.PagedResult`1.PageSize">
            <summary>
            Gets or sets page size.
            </summary>
        </member>
        <member name="P:CyberaniumApi.Helpers.Pagination.PagedResult`1.RowCount">
            <summary>
            Gets or sets row count.
            </summary>
        </member>
        <member name="P:CyberaniumApi.Helpers.Pagination.PagedResult`1.FirstRowReturned">
            <summary>
            Gets the number of the first row returned.
            </summary>
        </member>
        <member name="P:CyberaniumApi.Helpers.Pagination.PagedResult`1.LastRowReturned">
            <summary>
            Gets the number of the last row returned.
            </summary>
        </member>
        <member name="P:CyberaniumApi.Helpers.Pagination.PagedResult`1.Data">
            <summary>
            Gets or sets the data.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Helpers.Pagination.PagedResult`1.#ctor">
            <summary>
            Constructor.
            </summary>
        </member>
        <member name="T:CyberaniumApi.Helpers.Pagination.PaginationFilter">
            <summary>
            Pagination filter.
            </summary>
        </member>
        <member name="P:CyberaniumApi.Helpers.Pagination.PaginationFilter.PageNumber">
            <summary>
            Gets or sets the page number.
            If not provided as URL parameter, it will be set to 1.
            </summary>
        </member>
        <member name="P:CyberaniumApi.Helpers.Pagination.PaginationFilter.PageSize">
            <summary>
            Gets or sets the page size (number of items per page).
            If this value is not provided as URL parameter or it is greater than <c>_maxPageSize</c> it will be
            set to <c>_maxPageSize</c>.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Helpers.Pagination.PaginationFilter.#ctor">
            <summary>
            Constructor.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Helpers.Pagination.PaginationFilter.#ctor(System.Int32)">
            <summary>
            Constructor.
            </summary>
            <param name="maxPageSize">The maximum number of items per page.</param>
        </member>
        <member name="T:CyberaniumApi.Helpers.IPasswordHelper">
            <summary>
            The password helper interface. Contains methods for working with passwords.
            </summary>
        </member>
        <member name="M:CyberaniumApi.Helpers.IPasswordHelper.CreateHash(System.String)">
            <summary>
            Creates the password hash.
            </summary>
            <param name="password">The password.</param>
            <returns>The password hash and salt.</returns>
        </member>
        <member name="M:CyberaniumApi.Helpers.IPasswordHelper.VerifyHash(System.String,System.Byte[],System.Byte[])">
            <summary>
            Verifies the password hash.
            </summary>
            <param name="password">The password.</param>
            <param name="hash">The stored hash.</param>
            <param name="salt">The stored salt.</param>
            <returns><c>true</c> if password hash is valid, <c>false</c> otherwise.</returns>
        </member>
        <member name="M:CyberaniumApi.Helpers.IPasswordHelper.GenerateRandomString(System.Int32)">
            <summary>
            Generates the random alphanumeric string.
            </summary>
            <param name="length">The string length.</param>
            <returns>The random alphanumeric string.</returns>
        </member>
        <member name="T:CyberaniumApi.Helpers.PasswordHelper">
            <inheritdoc />
        </member>
        <member name="M:CyberaniumApi.Helpers.PasswordHelper.#ctor(Microsoft.Extensions.Localization.IStringLocalizer{CyberaniumApi.Helpers.PasswordHelper})">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Helpers.PasswordHelper"/> class.
            </summary>
            <param name="l">The string localizer.</param>
        </member>
        <member name="M:CyberaniumApi.Helpers.PasswordHelper.CreateHash(System.String)">
            <inheritdoc />
        </member>
        <member name="M:CyberaniumApi.Helpers.PasswordHelper.VerifyHash(System.String,System.Byte[],System.Byte[])">
            <inheritdoc />
        </member>
        <member name="M:CyberaniumApi.Helpers.PasswordHelper.GenerateRandomString(System.Int32)">
            <inheritdoc />
        </member>
        <member name="T:CyberaniumApi.Helpers.ResponseMessage">
            <summary>
            Response message.
            </summary>
        </member>
        <member name="P:CyberaniumApi.Helpers.ResponseMessage.Message">
            <summary>
            Gets or sets the message.
            </summary>
            <value>
            The message.
            </value>
        </member>
        <member name="T:CyberaniumApi.IServices.IEmailService">
            <summary>
            The email service interface.
            </summary>
        </member>
        <member name="M:CyberaniumApi.IServices.IEmailService.SendAsync(System.String,System.String,System.String,System.String,System.String,System.String)">
            <summary>
            Sends the email asynchronously.
            </summary>
            <param name="fromEmail">The sender email address.</param>
            <param name="fromName">The sender name.</param>
            <param name="toEmail">The recipient email address.</param>
            <param name="subject">The email subject.</param>
            <param name="htmlContent">The HTML content.</param>
            <param name="plainTextContent">The plain text content.</param>
            <returns><c>true</c> if sending was successful, <c>false</c> otherwise.</returns>
        </member>
        <member name="T:CyberaniumApi.Models.EnumerationTypes.Role">
            <summary>
            The user role.
            </summary>
        </member>
        <member name="F:CyberaniumApi.Models.EnumerationTypes.Role.Admin">
            <summary>
            The administrator role.
            </summary>
        </member>
        <member name="T:CyberaniumApi.Models.Log">
            <summary>
            Model used to store logs.
            </summary>
        </member>
        <member name="P:CyberaniumApi.Models.Log.Id">
            <summary>
            Gets or sets the identifier.
            </summary>
            <value>
            The identifier.
            </value>
        </member>
        <member name="P:CyberaniumApi.Models.Log.Application">
            <summary>
            Gets or sets the application.
            </summary>
            <value>
            The application.
            </value>
        </member>
        <member name="P:CyberaniumApi.Models.Log.CreatedAt">
            <summary>
            Gets or sets the date and time when this log entry was created.
            </summary>
            <value>
            The date and time when this log entry was created.
            </value>
        </member>
        <member name="P:CyberaniumApi.Models.Log.Level">
            <summary>
            Gets or sets the level.
            </summary>
            <value>
            The level.
            </value>
        </member>
        <member name="P:CyberaniumApi.Models.Log.Message">
            <summary>
            Gets or sets the message.
            </summary>
            <value>
            The message.
            </value>
        </member>
        <member name="P:CyberaniumApi.Models.Log.Logger">
            <summary>
            Gets or sets the logger.
            </summary>
            <value>
            The logger.
            </value>
        </member>
        <member name="P:CyberaniumApi.Models.Log.CallSite">
            <summary>
            Gets or sets the call site.
            </summary>
            <value>
            The call site.
            </value>
        </member>
        <member name="P:CyberaniumApi.Models.Log.Exception">
            <summary>
            Gets or sets the exception.
            </summary>
            <value>
            The exception.
            </value>
        </member>
        <member name="T:CyberaniumApi.Models.Role">
            <summary>
            The user role.
            </summary>
        </member>
        <member name="P:CyberaniumApi.Models.Role.Id">
            <summary>
            Gets or sets the identifier.
            </summary>
            <value>
            The identifier.
            </value>
        </member>
        <member name="P:CyberaniumApi.Models.Role.CreatedAt">
            <summary>
            Gets or sets the date when the role was created.
            </summary>
            <value>
            The date when the role was created.
            </value>
        </member>
        <member name="P:CyberaniumApi.Models.Role.CreatedById">
            <summary>
            Gets or sets the identifier of the user that created this role.
            </summary>
            <value>
            The identifier of the user that created this role.
            </value>
        </member>
        <member name="P:CyberaniumApi.Models.Role.CreatedBy">
            <summary>
            Gets or sets the user that created this role.
            </summary>
            <value>
            The user that created this role.
            </value>
        </member>
        <member name="P:CyberaniumApi.Models.Role.UpdatedAt">
            <summary>
            Gets or sets the date when the role was updated.
            </summary>
            <value>
            The date when the role was updated.
            </value>
        </member>
        <member name="P:CyberaniumApi.Models.Role.UpdatedById">
            <summary>
            Gets or sets the identifier of the user that updated this role.
            </summary>
            <value>
            The identifier of the user that updated this role.
            </value>
        </member>
        <member name="P:CyberaniumApi.Models.Role.UpdatedBy">
            <summary>
            Gets or sets the user that updated this role.
            </summary>
            <value>
            The user that updated this role.
            </value>
        </member>
        <member name="P:CyberaniumApi.Models.Role.Name">
            <summary>
            Gets or sets the name.
            </summary>
            <value>
            The name.
            </value>
        </member>
        <member name="P:CyberaniumApi.Models.Role.Description">
            <summary>
            Gets or sets the description.
            </summary>
            <value>
            The description.
            </value>
        </member>
        <member name="P:CyberaniumApi.Models.Role.Users">
            <summary>
            Gets or sets the users assigned to this role.
            </summary>
            <value>
            The users assigned to this role.
            </value>
        </member>
        <member name="T:CyberaniumApi.Resources.Localization.LocalizedResource">
            <summary>
            This class is used to pass LocalizedResource.resx to <c>IStringLocalizer</c>.
            It should contain paths to the localized resources (files, templates, images, etc.).
            </summary>
        </member>
        <member name="T:CyberaniumApi.Resources.Localization.Translation">
            <summary>
            This class is used to pass Translation.resx to <c>IStringLocalizer</c>.
            </summary>
        </member>
        <member name="T:CyberaniumApi.Services.EmailService">
            <summary>
            The email service.
            </summary>
            <seealso cref="!:WebApi.IServices.IEmailService" />
        </member>
        <member name="M:CyberaniumApi.Services.EmailService.#ctor(Microsoft.Extensions.Logging.ILogger{CyberaniumApi.Services.EmailService},Microsoft.Extensions.Options.IOptions{CyberaniumApi.Helpers.AppSettings})">
            <summary>
            Initializes a new instance of the <see cref="T:CyberaniumApi.Services.EmailService"/> class.
            </summary>
            <param name="logger">The logger.</param>
            <param name="appSettings">The application settings.</param>
        </member>
        <member name="M:CyberaniumApi.Services.EmailService.SendAsync(System.String,System.String,System.String,System.String,System.String,System.String)">
            <inheritdoc />
        </member>
    </members>
</doc>
